/**
 * 
 */
package com.google.code.jkippt.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * An API method or field annotated &#64;Experimental 
 * is an experimental feature and can change in any moment.
 * @author Federico De Faveri defaveri@gmail.com
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface Experimental {
}
