/**
 * 
 */
package com.google.code.jkippt.http;

import com.google.code.jkippt.JKipptException;

/**
 * Indicates an error from the server.
 * @author Federico De Faveri defaveri@gmail.com
 */
public class ServerErrorException extends JKipptException {

	private static final long serialVersionUID = -4895155624153806186L;

	/**
	 * @param message
	 * @param cause
	 */
	public ServerErrorException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public ServerErrorException(String message) {
		super(message);
	}
	
	

}
