/**
 * 
 */
package com.google.code.jkippt.resource;

import com.google.gson.annotations.SerializedName;

/**
 * @author Federico De Faveri defaveri@gmail.com
 */
public class Account extends User {
	
	@SerializedName("api_token")
	protected String apiToken;
	
	protected Account(){}
		
	/**
	 * @return the apiToken
	 */
	public String getApiToken() {
		return apiToken;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Account [apiToken=");
		builder.append(apiToken);
		builder.append(", username=");
		builder.append(username);
		builder.append(", bio=");
		builder.append(bio);
		builder.append(", avatarUrl=");
		builder.append(avatarUrl);
		builder.append(", twitter=");
		builder.append(twitter);
		builder.append(", github=");
		builder.append(github);
		builder.append(", websiteUrl=");
		builder.append(websiteUrl);
		builder.append(", fullname=");
		builder.append(fullname);
		builder.append(", dribbble=");
		builder.append(dribbble);
		builder.append(", counts=");
		builder.append(counts);
		builder.append(", isPro=");
		builder.append(isPro);
		builder.append(", id=");
		builder.append(id);
		builder.append(", resourceUri=");
		builder.append(resourceUri);
		builder.append(", appUrl=");
		builder.append(appUrl);
		builder.append("]");
		return builder.toString();
	}

}
