/**
 * 
 */
package com.google.code.jkippt.resource;

import java.util.List;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public class Countable<T> {
	
	protected int count;
	protected List<T> data;
	
	/**
	 * @return the count
	 */
	public int getCount() {
		return count;
	}
	
	/**
	 * @return the data
	 */
	public List<T> getData() {
		return data;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Countable [count=");
		builder.append(count);
		builder.append(", data=");
		builder.append(data);
		builder.append("]");
		return builder.toString();
	}
}
