/**
 * 
 */
package com.google.code.jkippt.resource;

import com.google.gson.annotations.SerializedName;

/**
 * @author Federico De Faveri defaveri@gmail.com
 *
 */
public class Resource {
	
	protected String id;
	
	@SerializedName("resource_uri")
	protected String resourceUri;
	
	protected Resource(){}

	/**
	 * Returns the unique identifier.
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @return the resourceUri
	 */
	public String getResourceUri() {
		return resourceUri;
	}
	
}
