/**
 * 
 */
package com.google.code.jkippt.http;

import com.google.code.jkippt.JKipptException;

/**
 * Indicates a communication error beetween client and server.
 * @author Federico De Faveri defaveri@gmail.com
 */
public class CommunicationException extends JKipptException {

	private static final long serialVersionUID = -3950912517401753662L;

	/**
	 * @param message
	 * @param cause
	 */
	public CommunicationException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public CommunicationException(String message) {
		super(message);
	}

	
}
