/**
 * 
 */
package com.google.code.jkippt.resource;

import java.util.Calendar;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public class Comment extends Resource {
	
	protected User user;
	protected String body;
	protected Calendar created;
	
	public Comment(){}

	/**
	 * @return the user
	 */
	public User getUser() {
		return user;
	}

	/**
	 * @return the body
	 */
	public String getBody() {
		return body;
	}

	/**
	 * @param body the body to set
	 */
	public void setBody(String body) {
		this.body = body;
	}

	/**
	 * @return the created
	 */
	public Calendar getCreated() {
		return created;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Comment [id=");
		builder.append(id);
		builder.append(", user=");
		builder.append(user);
		builder.append(", body=");
		builder.append(body);
		builder.append(", created=");
		builder.append(created);
		builder.append(", resourceUri=");
		builder.append(resourceUri);
		builder.append("]");
		return builder.toString();
	}

}
