/**
 * 
 */
package com.google.code.jkippt.resource;

import com.google.gson.annotations.SerializedName;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public class Counts {
	
	protected int follows;
	
	@SerializedName("followed_by")
	protected int followedBy;

	protected Counts() {}

	/**
	 * @return the follows
	 */
	public int getFollows() {
		return follows;
	}

	/**
	 * @return the followedBy
	 */
	public int getFollowedBy() {
		return followedBy;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Counts [follows=");
		builder.append(follows);
		builder.append(", followedBy=");
		builder.append(followedBy);
		builder.append("]");
		return builder.toString();
	}

}
